[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCustomIcon.GetDefaultSize

GetDefaultSize - returns default size for Icon.

## Declaration

Source position: graphics.pp line 1624

`protected class function TCustomIcon.GetDefaultSize: TSize; virtual;`

## Function result

TSize instance with the default width and height for an icon.

## Description

GetDefaultSize is a TSize class function used to get the default size in new instances of the class. The return value uses the SM_CXICON and SM_CYICON values returned from the GetSystemMetrics function in its cx and cy members.